/* ========================================================================
   =================    TVicPort  DLL interface        =====================
   ==========            Shareware Version 2.0                  ===========
   ==========     Copyright (c) 1997 Victor I.Ishikeev          ===========
   ========================================================================
   ==========         mail to "victor@ivi.ugatu.ac.ru"          ===========
   ======================================================================== */

#define VICFN  __stdcall

#ifdef __cplusplus
    extern "C" {
#endif // __cplusplus

bool  VICFN OpenTVicPort(void);
void  VICFN CloseTVicPort(void);

BYTE  VICFN ReadPort(WORD);
WORD  VICFN ReadPortW(WORD);
DWORD VICFN ReadPortL(WORD);
void  VICFN WritePort(WORD, BYTE);
void  VICFN WritePortW(WORD, WORD);
void  VICFN WritePortL(WORD, DWORD);

bool  VICFN TestHardAccess(void);
bool  VICFN IsDriverOpened(void);
void  VICFN SetHardAccess(bool);

#ifdef __cplusplus
   }
#endif // __cplusplus

